package com.diagbot.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-06-28
 */
@Data
public class MedLisResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告单号
     */
    private Integer reptNo;

    /**
     * 医院ID
     */
    private Integer hospitalId;

    /**
     * 住院病人ID
     */
    private String behospitalCode;

    /**
     * 报告代码
     */
    private String itemCode;

    /**
     * 报告名称
     */
    private String itemName;

    /**
     * 检验结果
     */
    private String result;

    /**
     * 最小参考值
     */
    private String referenceMin;

    /**
     * 最大参考值
     */
    private String referenceMax;

    /**
     * 单位
     */
    private String unit;

    /**
     * 异常标志
     */
    private String abnormal;

    /**
     * 异常颜色
     */
    private String color;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;
}
