package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @author: zhoutg
 * @time: 2020/4/13 18:31
 */
@Data
public class AnalyzeVO {

    private String behospitalCode; // 病历id
    @ApiModelProperty(hidden = true)
    private Long hospitalId; //医院ID
    @ApiModelProperty(hidden = true)
    private Boolean isTask = false;
    @ApiModelProperty(hidden = true)
    private Long modeId;
    // 是否使用CRF缓存(false: 不使用缓存，true：使用缓存)
    @ApiModelProperty(hidden = true)
    private boolean useCrfCache;
}
