package com.diagbot.service.impl;

import com.diagbot.entity.DoctorAdvice;
import com.diagbot.mapper.DoctorAdviceMapper;
import com.diagbot.service.DoctorAdviceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 病人医嘱 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Service
public class DoctorAdviceServiceImpl extends ServiceImpl<DoctorAdviceMapper, DoctorAdvice> implements DoctorAdviceService {
    /**
     * 根据医嘱ID和医院编码-批量更新数据
     * @param list
     */
    public void updateBatchByKey(List<DoctorAdvice> list){
        this.baseMapper.updateBatchByKey(list);
    }
}
