package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/4/14 9:53
 */
@Getter
@Setter
public class AlgorithmVO {
    //操作类型(0:基础评分，1：新增条目评分，2：删除条目，3：修改条目)
    private Integer type;
    //操作条目
    private QcResultAlgVO optResultAlgVO;
    //扣分条目
    private List<QcResultAlgVO> qcResultAlgVOList;
    //-------长兴特殊算分用开始-----------
    //医院ID
    private Long hospitalId;
    // 病历id
    private String behospitalCode;
    //质控评分模块评分信息
    private List<MedQcresultCasesVO> medQcresultCasesVOList = new ArrayList<>();
    //是否病案首页
    private Boolean isHomePage = false;
    //-------长兴特殊算分用结束-----------
}
