package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.util.SysUserUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-04-13 16:16
 */
@Setter
@Getter
public class QcCasesEntryHospitalVO extends Page {

    @ApiModelProperty(hidden = true)
    private Long hospitalId = Long.valueOf(SysUserUtils.getCurrentHospitalID());
    private Long casesId;
    private String name;
    private Integer isReject;
    private Integer isUsed;
    private Integer ruleType;
}
