package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/6/16 17:00
 */
@Getter
@Setter
public class QcResultShortPageVO extends Page {
    @ApiModelProperty(hidden = true)
    private Long userId;
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    /**
     * 病历号
     */
    private String behospitalCode;
    /**
     * 病人姓名
     */
    private String patName;
    /**
     * 条目名称
     */
    private String casesEntryName;
    /**
     * 条目id
     */
    private Long casesEntryId;
    /**
     * 科室名称
     */
    private String behDeptName;
    /**
     * 医生姓名
     */
    private String doctorName;
    /**
     * 医生编号
     */
    private String doctorId;
    /**
     * 病历等级
     */
    private String level;
    @NotNull(message = "请输入起始时间")
    private Date startDate;
    @NotNull(message = "请输入截止时间")
    private Date endDate;

    /**
     * 单项否决
     */
    private Integer isReject;

    /**
     * 规则类型(0：无，1：空项，2：错误)
     */
    private Integer ruleType;
}
